"use strict";

var ReferenceGenomeGeneMapping = require('./ReferenceGenomeGeneMapping');

function ReferenceGenome(javaObject) {
  if (javaObject !== undefined && javaObject !== null) {
    this.setType(javaObject.type);
    this.setVersion(javaObject.version);
    if (javaObject.localUrl !== undefined) {
      this.setUrl(javaObject.localUrl);
    } else {
      this.setUrl(javaObject.sourceUrl);
    }
    this._geneMapping = [];
    if (javaObject.geneMapping !== undefined) {
      for (var i = 0; i < javaObject.geneMapping.length; i++) {
        this._geneMapping.push(new ReferenceGenomeGeneMapping(javaObject.geneMapping[i]));
      }
    }
  }
}

ReferenceGenome.prototype.setType = function(type) {
  this._type = type;
};

ReferenceGenome.prototype.getType = function() {
  return this._type;
};

ReferenceGenome.prototype.setUrl = function(url) {
  this._url = url;
};

ReferenceGenome.prototype.getUrl = function() {
  return this._url;
};

ReferenceGenome.prototype.setVersion = function(version) {
  this._version = version;
};

ReferenceGenome.prototype.getVersion = function() {
  return this._version;
};

ReferenceGenome.prototype.getGeneMappings = function() {
  return this._geneMapping;
};

module.exports = ReferenceGenome;
